// #autoload
// #autoload
// #name = DEDEN Demo Names
// #version = 0.0.1
// #date = September 26, 2001
// #status = Beta
// #description = Better naming of demo files
// #author = ]S[DEDEN
// #warrior = DEDEN
// #email = warpath@strategyplanet.com
// #category = DEDEN Script


// Basic Easy Screen Shots package
package DEDDemoNames {

	// Override for beginDemoRecord function
	function beginDemoRecord(){
		
		%pname = getField( $pref::Player[$pref::Player::Current], 0 );
		
   		if(isDemo())
      			return;

   		// make sure that current recording stream is stopped
   		stopDemoRecord();
   		
   		$DemoCount = 0;
   		
		for(%found = true; %found; $DemoCount++ ) {
			%suffix = $DemoCount;
			while (strlen(%suffix) < 5) %suffix = "0" @ %suffix;
			%file = "recordings/" @ %pname @ "-" @ $MissionName @ "-" @ %suffix @ ".rec";
			%found = isFile(%file);
		}

   		$DemoFile = %file;

   		addMessageHudLine( "\c4Recording to file [\c2" @ $DemoFile @ "\cr].");

   		saveDemoSettings();
   		startRecord(%file);

   		// make sure start worked
   		if(!isRecordingDemo()) {
      			deleteFile($DemoFile);
      			addMessageHudLine( "\c3 *** Failed to record to file [\c2" @ $DemoFile @ "\cr].");
      			$DemoFile = "";
   		}
	}

};

activatepackage(DEDDemoNames);